package siprp.database.cayenne.objects;

import siprp.database.cayenne.objects.auto._HsRelatorioEquipamento;

public class HsRelatorioEquipamento extends _HsRelatorioEquipamento {
	
	private static final long serialVersionUID = 1L;

	@Override
	public String getTipo()
	{
		return parseFromUnicode( super.getTipo() );
	}
	
	@Override
	public void setTipo( String nome )
	{
		super.setTipo( parseToUnicode( nome ) );
	}
	
	@Override
	public String getMarca()
	{
		return parseFromUnicode( super.getMarca() );
	}
	
	@Override
	public void setMarca( String marca )
	{
		super.setMarca( parseToUnicode( marca ) );
	}
	
	@Override
	public String getModelo()
	{
		return parseFromUnicode( super.getModelo() );
	}
	
	@Override
	public void setModelo( String modelo )
	{
		super.setModelo( parseToUnicode( modelo ) );
	}
	
	@Override
	public String toString()
	{
		String marca = getMarca() == null ? "" : getMarca();
		String modelo = getModelo() == null ? "" : getModelo();
		return getTipo() + ": " + marca + "-" + modelo;
	}
}
